{
  "name": "@luncher/client",
  "version": "0.1.0",
  "license": "MIT",
  "private": true,
  "type": "module",
  "homepage": ".",
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^6.4.0",
    "@fortawesome/free-regular-svg-icons": "^6.4.0",
    "@fortawesome/free-solid-svg-icons": "^6.4.0",
    "@fortawesome/react-fontawesome": "^0.2.0",
    "@types/jest": "^29.5.12",
    "@types/node": "^20.11.20",
    "@types/react": "^19.0.0",
    "@types/react-dom": "^19.0.0",
    "@vitejs/plugin-react": "^4.3.4",
    "bootstrap": "^5.2.3",
    "react": "^19.0.0",
    "react-bootstrap": "^2.7.2",
    "react-dom": "^19.0.0",
    "react-jwt": "^1.2.0",
    "react-modal": "^3.16.1",
    "react-select-search": "^4.1.6",
    "react-snowfall": "^2.2.0",
    "react-toastify": "^10.0.4",
    "sass": "^1.80.6",
    "socket.io-client": "^4.6.1",
    "typescript": "^5.3.3",
    "vite": "^6.0.3",
    "vite-tsconfig-paths": "^5.1.4"
  },
  "scripts": {
    "copy-types": "cp -r ../types ./src",
    "start": "yarn copy-types && vite",
    "build": "yarn copy-types && vite build"
  },
  "eslintConfig": {
    "extends": [
      "react-app"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "prettier": "^3.2.5"
  }
}
